var iniparser = require('iniparser');
var config = iniparser.parseSync('./config.ini');

var logger = require('sate24/logger.js').start();

var aaaHost = config.globals.aaa_host;

HttpServer = require('sate24/httpserver.js');
var httpServer = HttpServer.start(config, {logger: logger});

var aaa = require('sate24/aaa.js');
HttpServer.setAaa(aaa);

var partner = require('./partner-scrappingkisel.js');

var partner_options = {
    'aaa': aaa,
    'logger': logger
}

partner.start(config, aaa.callbackReport, partner_options);
aaa.start(config, partner, {logger: logger});
